// Transition period for sheet parts that hint what they can do
$transition-period: 0.2s;
$hover-opacity: 0.9;
$hover-brightness: 0.8;
$selected-box-color: lighten($red, 25%);

// Imports
@import 'mixin';
@import "effects";

.character-track {
  h4 {
    @extend %red_header;
  }

  .boxes {
    justify-content: flex-end;
    padding-right: 0.5rem;
    margin-top: -23px;
    margin-bottom: 1rem;
  }

  &.disabled .boxes {
    @include toothradio(8px, 30px, $changeable: false);
  }

  &:not(.disabled) .boxes {
    @include toothradio(8px, 30px);

    label.disabled {
      background-color: lighten($red, 10%) !important;
      cursor: not-allowed !important;

      &:hover {
        filter: none !important;
        opacity: 1 !important;
      }
    }
  }


}

%checkbox {
  cursor: pointer;
  width: 12px;
  height: 12px;
  background-color: #FFFFFF;
  display: inline-block;

  &:hover, &.active {
    background-color: $selected-box-color;
  }
}

%items {
  .item {
    &__name {
      margin-left: .4rem;
    }

    .heat {
      font-weight: 900;
    }

    .load_zero {
      text-decoration: underline;
    }

    .load {
      @extend %checkbox
    }
  }
}

&.sheet {
  h3 {
    @extend %red_header;
  }

  &.actor {
    .window-content {
      padding: 0;
    }
    &.crew, &.pc {
      min-height: 750px;
    }
  }

  &.item {
    section:not(.window-content) {
      padding: 0;
      gap: .5rem;
    }
  }

  .window-content {
    background: #FFF;
    padding-bottom: 1rem;
  }

  .tab-content {
    flex-grow: 1;
    overflow: auto;
  }


  .sheet-header {
    margin-bottom: 10px;

    &.big {
      align-items: stretch;

      img {
        flex-basis: 80px;
        height: 80px;
      }
    }

    img {
      background-color: $light_purple;
    }

    .header-fields {
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      input {
        width: 100%;
        margin: 0;
      }

    }
  }

  .hold-track {
    @extend .character-track;
    min-width: 190px;
    width: 100%;
    margin-left: .5rem;

    .boxes {
      align-items: flex-start;

      span {
        background-color: $pink;
        font-family: "Raleway", sans-serif;
        font-weight: 900;
        padding: 0.1rem .2rem;
        text-transform: uppercase;
      }

      label {
        background-color: #FFF !important;
      }

      input:checked + label {
        background-color: lighten($red, 35%) !important;
      }

    }
  }

  @import "character-sheet";
  @import "crew-sheet";
  @import "item-sheet";
  @import "faction-sheet";
}
